Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 156010 - [RHEL4-U2] Diskdump - swap partition support
Summary: [RHEL4-U2] Diskdump - swap partition support
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel
Version: 4.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Keiichiro Tokunaga
QA Contact:
URL: IT_71414
Whiteboard: None
Depends On:
Blocks: 156322 160223 163927
TreeView+ depends on / blocked
 
Reported: 2005-04-26 16:21 UTC by Yuuichi Nagahama
Modified: 2013-07-03 13:25 UTC (History)
10 users (show)

Fixed In Version: RHSA-2005-514
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-10-05 13:03:39 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:514 qe-ready SHIPPED_LIVE Important: Updated kernel packages available for Red Hat Enterprise Linux 4 Update 2 2005-10-05 04:00:00 UTC

Description Yuuichi Nagahama 2005-04-26 16:21:59 UTC
1. Feature Name: Diskdump - swap partition support as dump device

2. Description:
 Architectures (mark all that apply)
x 32-bit x86
x 64-bit Itanium2
x 64-bit AMD64/Intel EM64T
x 64-bit IBM POWER
  31-bit IBM S/390
  64-bit IBM zSeries

 External links: Diskdump
 Priority (H,M,L): Medium
 Target Releases: RHEL4-U2 Beta
 Target Release Date:
 Drivers or hardware dependency: None
 Target Kernel: RHEL4-U2 Beta Kernel

Comment 2 Marty Wesley 2005-05-26 06:38:26 UTC
PM ACK for U2.

Comment 6 Tim Burke 2005-06-16 02:22:58 UTC
eng mgt ack for inclusion on canfix list for u2, not the mustfix list.
also I agree w/ QA that there is also the expectation that Fujitsu has an
accompanying testplan and intend to perform that testing.  Note the above status
indicates this is questionable whether it will be completed in U2 or whether it
will realistically have to wait till U3 for delivery.

Also note, that this level of change must be completed by June 20th.  Reason
being we can't take in large features late in the cycle.


Comment 7 Brian Stevens 2005-06-16 02:50:02 UTC
How complete is the prototype?


Comment 9 Nobuhiro Tachino 2005-06-16 06:48:29 UTC
The kernel part is almost complete and works with no problem.
The userland part has just made and has rouge edges It needs more
internal test and review.


Comment 10 Tatsuo Uchida 2005-06-20 21:29:28 UTC
(2005-06-17) The patch is posted to rhkernel-list.


Comment 16 Nobuhiro Tachino 2005-09-21 13:24:41 UTC
I tested the U2 kernel on our machined and confirmed this feature works without
any problem.


Comment 17 Eric Hagberg 2005-09-21 17:35:45 UTC
I see problems.

Did you actually have data written out in your swap partition before causing the
crash? In my testing, this will fail - the crash won't happen because the
diskdump  signature gets overwritten when data is swapped out.

Comment 18 Eric Hagberg 2005-09-21 20:25:02 UTC
Apparently the problem was that I followed the instructions in the README,
rather than just adding my swap device to the /etc/sysconfig/diskdump file and
starting the diskdump service. Looks to be working fine now.

Comment 19 Keiichiro Tokunaga 2005-09-21 22:10:45 UTC
I will update the README and it will be in the next update of diskdumputils 
package.  Thank you for the feedback.

Comment 21 Red Hat Bugzilla 2005-10-05 13:03:39 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-514.html



Note You need to log in before you can comment on or make changes to this bug.